Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 234305 - dev-lang/mono-2.0.1-r1 to be stabled
Summary: dev-lang/mono-2.0.1-r1 to be stabled
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: dotnet
URL:
Whiteboard:
Keywords: STABLEREQ
: 262170 262983 (view as bug list)
Depends on: 249542 249608 263411
Blocks: CVE-2008-3422
  Show dependency tree
 
Reported: 2008-08-09 11:34 UTC by Luis Medinas
Modified: 2009-04-04 14:57 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luis Medinas 2008-08-09 11:34:40 UTC
Hi

The current stable mono is about 1 year older a newer one should be stablized.

Reproducible: Always
Comment 1 Peter Alfredsen (RETIRED) gentoo-dev 2008-11-24 00:20:23 UTC
1.9* won't be stabilized, we'll agressively push for stabilization of 2.0.1
Comment 2 Gerald 2008-12-21 20:23:40 UTC
Please don't forget http://bugs.gentoo.org/show_bug.cgi?id=249608 while you're agressively stabilizing :-)
Comment 3 Pacho Ramos gentoo-dev 2009-03-21 19:26:38 UTC
What about trying to stabilize mono-2.2 directly? (bug 256261)
Comment 4 Peter Alfredsen (RETIRED) gentoo-dev 2009-03-22 16:58:33 UTC
Pacho: mono-2.2 is a mess. Upstream botched the job. I think the next stable version may be mono-2.4.1. If we're lucky.
Comment 5 Peter Alfredsen (RETIRED) gentoo-dev 2009-03-22 17:18:21 UTC
Ok, making ready for the transition. Folks, it's been one-and-a-half year since last stable mono, since the dotnet herd was AWOL for the better part of last year. That means that we've accumulated a gigantic mass of back-logged packages that depend on the newer mono. Without further ado, this is it, listed in the order in which it would be best to stabilize them (I think). Note that banshee-0.12.x probably won't build with mono-2.0, so stabilizing 1.4.3 should be a priority.

dev-lang/mono-2.0.1-r1
dev-dotnet/libgdiplus-2.0
dev-util/monodoc-2.0
virtual/monodoc-2.0
dev-util/mono-tools-2.0
dev-dotnet/xsp-2.0
www-apache/mod_mono-2.0

dev-dotnet/atk-sharp-2.12.8
dev-dotnet/gdk-sharp-2.12.8
dev-dotnet/glade-sharp-2.12.8
dev-dotnet/glib-sharp-2.12.8
dev-dotnet/gtk-dotnet-sharp-2.12.8
dev-dotnet/gtk-sharp-2.12.8
dev-dotnet/gtk-sharp-gapi-2.12.8
dev-dotnet/pango-sharp-2.12.8

art-sharp-2.24.1
gnome-sharp-2.24.1
gnomevfs-sharp-2.24.1
gconf-sharp-2.24.1

gnome-desktop-sharp-2.24.0-r10
gnome-print-sharp-2.24.0-r10
gnome-panel-sharp-2.24.0-r10
gtkhtml-sharp-2.24.0-r10
gtksourceview-sharp-2.24.0-r10
nautilusburn-sharp-2.24.0-r10
rsvg-sharp-2.24.0-r10
vte-sharp-2.24.0-r10
wnck-sharp-2.24.0-r10

dev-dotnet/mono-addins-0.4
dev-dotnet/evolution-sharp-0.18.1
dev-dotnet/gsf-sharp-0.8.1


dev-dotnet/notify-sharp-0.4.0_pre20080912-r1
dev-dotnet/ipod-sharp-0.8.2
dev-dotnet/podsleuth-0.6.4
dev-dotnet/mono-zeroconf-0.8-r1
dev-lang/boo-0.8.2.2960
dev-dotnet/taglib-sharp-2.0.3.2
media-sound/banshee-1.4.3

app-misc/tomboy-0.12.2

dev-libs/gmime:2.4
dev-libs/libbeagle-0.3.9
app-misc/beagle-0.3.9

media-sound/muine-0.8.10

media-video/gnome-subtitles-0.8-r1
Comment 6 Peter Alfredsen (RETIRED) gentoo-dev 2009-03-22 17:22:10 UTC
*** Bug 262983 has been marked as a duplicate of this bug. ***
Comment 7 Peter Alfredsen (RETIRED) gentoo-dev 2009-03-22 17:57:15 UTC
*** Bug 262170 has been marked as a duplicate of this bug. ***
Comment 8 Brent Baude (RETIRED) gentoo-dev 2009-03-27 14:42:09 UTC
i have tested this stuff, ok to begin to commit?
Comment 9 Brent Baude (RETIRED) gentoo-dev 2009-03-27 17:13:12 UTC
ppc stable for:

dev-lang/mono-2.0.1-r1
dev-dotnet/libgdiplus-2.0
dev-util/monodoc-2.0
dev-util/mono-tools-2.0
dev-dotnet/xsp-2.0
www-apache/mod_mono-2.0
dev-dotnet/atk-sharp-2.12.8
dev-dotnet/gdk-sharp-2.12.8
dev-dotnet/glade-sharp-2.12.8
dev-dotnet/glib-sharp-2.12.8
dev-dotnet/gtk-dotnet-sharp-2.12.8
dev-dotnet/gtk-sharp-2.12.8
dev-dotnet/gtk-sharp-gapi-2.12.8
dev-dotnet/pango-sharp-2.12.8
dev-dotnet/art-sharp-2.24.1
dev-dotnet/gnome-sharp-2.24.1
dev-dotnet/gnomevfs-sharp-2.24.1
dev-dotnet/gconf-sharp-2.24.1
dev-dotnet/gtkhtml-sharp-2.24.0-r10
dev-dotnet/rsvg-sharp-2.24.0-r10
dev-dotnet/vte-sharp-2.24.0-r10
dev-dotnet/mono-addins-0.4
dev-dotnet/evolution-sharp-0.18.1
dev-dotnet/gsf-sharp-0.8.1
dev-dotnet/notify-sharp-0.4.0_pre20080912-r1
dev-lang/boo-0.8.2.2960
dev-dotnet/taglib-sharp-2.0.3.2
dev-libs/gmime-2.4.3
dev-libs/libbeagle-0.3.9
app-misc/beagle-0.3.9
media-sound/muine-0.8.10
dev-dotnet/gecko-sharp-0.13

and ~ppc for:

=dev-dotnet/gnome-desktop-sharp-2.24.0-r10
=dev-dotnet/gnome-print-sharp-2.24.0-r10
=dev-dotnet/gnome-panel-sharp-2.24.0-r10
=dev-dotnet/gtksourceview-sharp-2.24.0-r10
=dev-dotnet/nautilusburn-sharp-2.24.0-r10
=dev-dotnet/wnck-sharp-2.24.0-r10
=dev-dotnet/ipod-sharp-0.8.2
=dev-dotnet/podsleuth-0.6.4
=dev-dotnet/mono-zeroconf-0.8.0-r1
=media-sound/banshee-1.4.3
=app-misc/tomboy-0.12.2
=media-video/gnome-subtitles-0.8-r1
=media-libs/sublib-0.9
Comment 10 Markus Meier gentoo-dev 2009-04-04 14:57:04 UTC
amd64/x86 stable, all arches done.